Skip to navigation

Get algo order by id

Get an algo order by id. Only return algo order in OPEN or NEW status.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

algo_idstringRequired
Algo ID

Response

OK
accountstringOptional

Account identifier (user's account address)

algo_paramsmap from strings to stringsOptional

Type-specific algo parameters

algo_typeenumOptional
Algo type
Allowed values:
avg_fill_pricestringOptional
Average fill price of the order
cancel_reasonstringOptional
Reason for algo cancellation if it was closed by cancel
created_atintegerOptional
Algo creation time
end_atintegerOptional
Algo end time
idstringOptional
Unique algo identifier
last_updated_atintegerOptional

Algo last update time. No changes once status=CLOSED

marketstringOptional
Market to which algo belongs
remaining_sizestringOptional
Remaining size of the algo
sideenumOptional
Algo side
Allowed values:
sizestringOptional
Algo size
statusenumOptional
Algo status
Allowed values:

Errors

404
Not Found Error